function spm_TFCE
% TFCE Toolbox wrapper to call TFCE functions
% ______________________________________________________________________
%
% Christian Gaser
% Structural Brain Mapping Group (https://neuro-jena.github.io)
% Departments of Neurology and Psychiatry
% Jena University Hospital
% ______________________________________________________________________

SPMid = spm('FnBanner',mfilename);
[Finter,Fgraph] = spm('FnUIsetup','TFCE 1.0');
url = fullfile(fileparts(mfilename('fullpath')),'html','tfce.html');
web(url,'-noaddressbox','-new')

fig = spm_figure('GetWin','Interactive');
h0  = uimenu(fig,...
  'Label',  'TFCE',...
  'Separator',  'on',...
  'Tag',    'TFCE',...
  'HandleVisibility','on');
h1  = uimenu(h0,...
  'Label',  'Estimate',...
  'Separator',  'off',...
  'Tag',    'Estimate TFCE statistic',...
  'CallBack','spm_jobman(''interactive'','''',''spm.tools.tfce_estimate'');',...
  'HandleVisibility','on');
h2  = uimenu(h0,...
  'Label',  'Results',...
  'Separator',  'off',...
  'Tag',    'Non-parametric inference',...
  'CallBack','[hReg xSPM SPM] = cat_spm_results_ui(''Setup'');',...
  'HandleVisibility','on');
h3  = uimenu(h0,...
  'Label',  'Check for updates',...
  'Separator',  'off',...
  'Tag',    'Check for updates',...
  'CallBack','tfce_update(1);',...
  'HandleVisibility','on');
